
html {
    scroll-behavior: smooth;
}
body {
font-family: 'Roboto', sans-serif;
margin: 0;
}
.container {
max-width: 1200px; 
margin-inline: auto;
}


.hero-overlay {
 background: url("../public/cover-img.jpg") lightgray 0px 0px / 125% 100% no-repeat;
 background-position: center;
 background-size: cover;
 height: 100vh;
}
.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding-top: 40px;
  display: flex;
  justify-content: center; 
  z-index: 999;
  background: transparent;
  transition: all 0.3s ease;
}

.menu .container {
display: flex;
justify-content: space-between;
width: 100%;
max-width: 1200px;
align-items: center;
}
.menu.sticky {
background: white;
padding-block: 24px;
}
.menu.sticky .hero-logo {
    filter: invert(1);
}
.menu.sticky .header-group a, .menu.sticky .header-group p {
    color:#222222;
}

.menu.sticky .social-group svg path, .menu.sticky .email svg path, .menu.sticky .tel svg path{
    fill: #222;
}
.menu.sticky .social-link:hover svg path {
    fill:#73C0FF;
}
.menu.sticky .contact-link:hover p {
    color:#73C0FF;
}
.menu.sticky .contact-link:hover svg path {
    fill:#73C0FF;
}

.menu.sticky .email img, .menu.sticky .tel img, .menu.sticky .hamburger  {
    filter: invert(1);
}


.menu.sticky .lang:hover {
    color:#73C0FF;
}
.menu.sticky .lang.active {
    color:rgba(34, 34, 34, 0.50);
}

.header-group {
    display: flex;
    gap: 40px;
}
.header-group a, .header-group p {
color: #FFF;
text-align: center;
font-size: 16px;
font-style: normal;
font-weight: 600;
line-height: normal;
text-decoration: none;
}
.header-group ul {
    margin: 0;
}
.hamburger {
  display: none; 
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 24px;
  background: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
}
.hamburger-close {
    display: none;
}
.hamburger.open .hamburger-icon {
  display: none;
}

.hamburger.open .hamburger-close {
  display: block;
}

.language {
  text-decoration: none;
  color: #fff;
}
 .logo-link .hero-logo {
    height: 42px;
    aspect-ratio: 270 / 42;
    object-fit: contain;
    align-self: center;
}
.hero {
    display: flex;
    flex-direction: column;
    height: 100%;
}
.contact, .social-group {
    display: flex;
    padding: 0;
    align-items: center;
}

.header-language {
    display: flex;
    justify-content:flex-end;
    gap: 6px;
    align-items: center;
    
}
.lang {
    text-decoration: none;
    color: #000;
}

.lang:hover {
    color:#73C0FF;
}
.lang.active {
 color: rgba(255, 255, 255, 0.70); 
}

.contact {
    gap: 24px;
}
.tel {
    list-style: none;
}
.email {
    list-style: none;
}
.contact-link {
    display: flex;
    gap: 6px;
    justify-content:center;
    align-items: center;
}
.contact-link p {
    margin: 0;
}
.contact-link:hover p {
    color:#73C0FF;
}
.contact-link:hover svg path {
    fill:#73C0FF;
}

.social-group {
    gap: 12px;
}
.social-link:hover svg path  {
    fill:#73C0FF;
}
.social {
    list-style: none;
    margin: 0;
    padding: 0;
}

.hero h1 {
    color: #FFF;
    font-size: 42px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin: 0;
}
.hero p {
    color: #FFF;
    font-size: 23px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;  
    margin-block: 16px 0;
}
.hero-cta {
    margin-top: 48px;
    display: block;
    text-decoration: none;
    color: #222;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    padding: 10px 20px;
    background: #FFF;
    width:fit-content;
    transition: all 0.3s ease;
}
.hero-content {
    margin-block: auto;
}
.about-me {
    width: 700px;
    position: relative;
    
}
.about-me::after {
    content: url("../public/about-img.png");
    position: absolute;
    height: 915px;
    bottom: 0;
    right: 0;
    transform: translate(100%, 140px);
}
.about-overlay {
    background: #EEE;
    overflow: hidden; 
  
}
.about {
    padding-block: 120px;
}
.about-me h2 {
    color: #222;
    font-size: 42px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;   
}
.about-text {
    margin:0 0 10px 0;
}
.about-text p {
    color: rgba(0, 0, 0, 0.5);
    font-size: 18px;
}

.swiper {
    height: 100%;
    position: relative;
}
.swiper-button-next,
.swiper-button-prev {
    width: 50px;  
    height: 50px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    top: 0 !important;
    transform: translateY(50%);
    color: transparent; 
}
.swiper-button-next::after,
.swiper-button-prev::after {
  content: none;
  display: none; 
}

.swiper-button-next {
  right: 0 !important;
  background-image: url('../public/right-arrow.png');
}

.swiper-button-prev {
  left: 0 !important;
  background-image: url('../public/left-arrow.png');
}


.weapons {
    padding-block: 120px;

}

strong {
    font-weight: bold;
}
.weapons h2 {
    color: #000;
    font-size: 42px;
    font-weight: 300;
    margin: 0;
    text-align: center;
    padding-bottom: 16px;
    border-bottom: 1px solid rgba(34, 34, 34, 0.30);
}

.weapon-text p {
    font-size: 14px;
    color: rgba(0, 0, 0, 0.5);
    margin-block: 16px 0;
    text-align: center;
}
.weapon-text {
    margin-top: 48px;
    max-width: 800px;
    justify-self: center;
}
.weapon-img {
    margin-top: 64px;
}
.weapon-img img {
    object-fit: contain;
    max-width:100%;
}
.slide-images img:hover {
    opacity: 80%;
}
.slide-images {
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: center;
    margin-top: 48px;
}

.slide-images a {
  flex: 0 1 auto;     
}

.slide-images img {
  display: block;
  max-width: 200px;
  width: 100%;
  height: auto;
}
.weapon-select{
    text-decoration: none;
    color: #FFF;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    padding: 10px 20px;
    background-color: #222;
    display: block;
    width: fit-content;
    margin-inline: auto;
    margin-top: 80px;
    transition: all 0.3s ease;
}
.weapon-select:hover, .hero-cta:hover{
    scale: 1.1;
}
.openPopup, .border-info, .meandros {
    color: rgba(0, 0, 0, 0.5);
    transition: all 0.3s ease;
}
.openPopup:hover, .border-info:hover, .meandros:hover {
  color: #73C0FF;
}
.popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width:100vw;
  height: 100vh;
  background:transparent;
  justify-content: center;
  align-items: center;
  z-index: 9999;

}


.popup-content {
  background: white;
  padding: 100px;
  position: relative;
  max-width: 1100px;
  width: 100%;
  max-height: 90vh;
  overflow-y: auto;
  box-shadow: 4px 12px 24px 0 rgba(0, 0, 0, 0.12);
}
.popup-title {
    display: flex;
    justify-content: space-between;
    padding-bottom: 5px;
    border-bottom: 1px solid #000;
    margin-bottom: 20px;

}
.popup-img {
    max-width: 440px;
    height: auto;
    object-fit: contain;
}
.popup-content h2 {
    font-size: 40px;
    font-weight: 400;
    color: rgb(68, 68, 68);
    margin: 0;
    position: relative;
    border-bottom: none;
}
.popup-content p {
    font-size: 15px;
    margin-block:0 10px;
    color:rgba(0, 0, 0, 0.5);
}

.popup-content ul {
    list-style-type: disc;
    padding-left: 20px;
    margin:0 0 48px 0;
}
.popup-content ul li {
    margin-bottom: 5px;
    color:rgba(0, 0, 0, 0.5);
    font-size: 16px;
}

.popup-close {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 60px;
  cursor: pointer;
  color: rgb(51, 51, 51);
}
.faq-overlay {
    background-color: rgb(238, 238, 238);
}
.faq {
    padding-block: 120px;
}
.faq h2 {
    color: #222;
    font-size: 42px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    margin:0 0 48px 0;
}


details p {
    font-size: 16px;
    color: #777;
    line-height: 1.3;
    font-weight: 300;
    margin:0;
}
 details .answer {
    padding:0 40px;
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.4s ease;
}

details summary {
    border-radius: 4px 4px 0 0;
    border-bottom: 1px solid rgba(34, 34, 34, 0.30);
    Padding-block: 10px;
    padding:8px 8px 8px 20px;
    font-size: 16px;
    color: #777;
    line-height: 1.3;
    cursor: pointer;
}
.details p a {
    color: rgba(0, 0, 0, 0.5);
}
.meandros {
    color: rgba(0, 0, 0, 0.5);
    text-decoration: none;
}

.sr-only {
    display: none;
}
.form {
    padding-block: 120px;
}

legend {
    color: #222;
    font-size: 42px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
}
input, textarea, select {
    border: 1px solid rgba(34, 34, 34, 0.30);
    background: #FFF;
    padding:14px 11px 18px 11px;
    width: 100%;
    box-sizing: border-box;
}
select {
    margin-top: 16px;
}
input::placeholder, textarea::placeholder {
    color: rgba(34, 34, 34, 0.30);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
textarea {
    height: 252px;
    margin-top: 16px;
    margin-bottom: 40px;

}
.hidden-select {
    display: none;
}
.custom-select {
  position: relative;
  width: 100%;
  border: 1px solid rgba(34,34,34,0.3);
  cursor: pointer;
  box-sizing: border-box;
  margin-top: 16px;
}
.selected {
  padding: 14px 40px 14px 12px;
  position: relative;
}
.selected::after {
  content: "";
  position: absolute;
  right: 0;
  top: 0;
  width: 50px;
  height: 100%;  
  background-color: black;
  background-image: url("../public/select.png");
  background-repeat: no-repeat;
  background-position: center;
}

.selected, .options div {
    color: #222;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 21px;
}
.options {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  border: 1px solid rgba(34,34,34,0.3);
  background: #fff;
  z-index: 100;
  box-sizing: border-box;
}
.options div {
  padding: 12px;
  border-bottom: 1px solid rgba(34,34,34,0.3);
}
.options div:hover {
    background:#EEE;
}
.full-name {
    display: flex;   
    justify-content: space-between;
    width: 100%;
    margin-top: 48px;
}
.name, .lastname {
    width: calc( 50% - 14px);
}
.captcha-refresh {
    display: inline-block;
}
.captcha-refresh a{
    color: #222;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-decoration: none;
}

.form-submit {

    color: #FFF;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    padding: 10px 20px;
    background-color: #222;
    display: block;
    width: fit-content;
    /*margin-top: 40px;*/
    transition: all 0.3s ease;
    cursor: pointer;
}
.form-submit:hover {
    scale: 1.1;
}
footer {
    padding: 16px 0;
    background-color: #222;
}
.footer-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 16px;
}
.footer-wrapper p {
    color: #FFF;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0;
}
.whitehat-link {
    text-decoration: none;
    color: #FFF;
}
@media(max-width:1200px) {
    .container {
    padding-inline: 15px;
    }
    .header-group {
        gap: 28px;
    }
    .about-me::after {
        content: none;
    }
    .about-me {
        width:100%;
 }
}
@media(max-width:1020px){
    .popup-content {
    padding: 50px;
}

}
@media (max-width: 850px) {
    .hamburger {
    display: flex;
    z-index: 1000;
  }
    
   .nav-menu { 
    position: fixed;
    top: 0; 
    right: 0;
    width: 100%;
    background: #222;
    z-index: 999;
    height: 100vh;
    padding-top: 290px;
    transform:translateX(100%);
    transition: transform 0.3s ease-in-out;
  }
  
   .logo-link .hero-logo.open {
    z-index:1000;
    position: relative;
    }
  .nav-menu.open {
    transform: translateX(0);
  }
  .nav-menu.open .header-group {
    display: flex;
    flex-direction: column;
    gap: 64px;
  }
  
  .header-language {
    justify-content: center;
    margin: 0;
  }
  .header-language p {
    margin: 0;
  }
  .social-group {
    justify-content: center;
    margin: 0;
    gap: 12px;
  }
  .social {
    margin: 0;
  }

  .email {
    margin-left: 0;
  }
  .menu.sticky .nav-menu.open .header-group a, .menu.sticky .nav-menu.open .header-group p {
    color:white;
  }
   .menu.sticky .logo-link .hero-logo.open{
    filter: invert(0);
  }
  .menu.sticky .nav-menu.open .social-group svg path {
    fill: white;
  }
  
  .menu.sticky .nav-menu.open .email svg path, .menu.sticky .nav-menu.open .tel svg path {
    fill: white;
  }
  .menu.sticky .hamburger.open {
    filter: invert(0);
  }
  .menu.sticky .nav-menu.open .lang.active {
    color: rgba(255, 255, 255, 0.70); 
  }
  .weapons h2, .about-me h2, .faq h2, legend {
    font-size: 32px;
 }
 .popup-img {
    max-width: 220px;
 }
  .about-text p {
    font-size: 16px;
  }
  .contact {
    display: flex;
    flex-direction: column;
    margin: 0;
    gap: 40px;
  }
 
 .full-name {
    display: flex;  
    flex-direction: column; 
    gap: 16px;
    margin-top: 48px;
}
.name, .lastname {
    width: 100%;
}

}
@media(max-width: 640px) {
    .container {
    padding-inline: 20px;
    }
   .logo-link .hero-logo {
    height: 25px;
    aspect-ratio: 160 / 25;
   }
   .popup-title {
    flex-direction: column;
   }
   .popup-img {
    max-width: 100%;
   }
  
 
 .footer-wrapper {
    flex-direction: column;
 }
}